4

I installed a while ago geth 1.4.17 from the git repo (together with cpp-ethereum, the genoil CUDA miner, and the Mist GUI wallet). However, now I can't figure for the life of me how to upgrade geth to 1.5.x (in preparation for the impending hard-fork), so I just downloaded the latest version of Mist (0.8.7), and it's syncing to the blockchain just fine. How can I ensure that it will be running on the new, hard-forked chain, though?

  • How did you install geth and mist? Just re-do it the same way and you are fine. – Waqar Lim Nov 22 '16 at 14:30
  • @5chdn I forgot how I got it to compile and now the Makefiles are not working for me :( – étale-cohomology Nov 22 '16 at 22:27
2

Since you have the latest version of Mist, just restart it.

Alex from Mist said:

If you launch Mist now, it should auto-update to Geth 1.5.2. If you have it running, we suggest you restart the app before the fork.

He explained more here.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.